Browse endpoints

Create a Business Intelligence Request

POST /api/v2/business_intelligence operationId: business_intelligence

Live: https://gdapi.globaldata.net.au/api/v2/business_intelligence · Sandbox: https://sandbox-gdapi.globaldata.net.au/api/v2/business_intelligence

Experimental

The Business Intelligence API is still in the experimental stage and is subject to change.

The Business Intelligence API performs a deep dive into the business behind a given ABN.

It will return a summary of the business, including:

  • The business name and other trading names
  • The ABN and ACN (if applicable)
  • The business address
  • The business website
  • The business ANZSIC code and description
  • The AUSTRAC remitter details (if applicable)

The API will also return a list of all the domains that were checked as part of the request.

Sandbox Mode

When accessing the Business Intelligence API in sandbox mode, only ABNs ending in 1, 2 or 3 are permitted. Attempting to use any other ABN will result in a 400 error. with the following message:

This service is only available for ABNs ending in 1, 2 or 3 in sandbox mode.

Note: Other ABNs will be accepted in sandbox mode, however the results may contain cached data. Results obtained in sandbox mode are not permitted to be used for production purposes.

Request body

Content type application/json. Request details for the business intelligence report. Note that the query can take several minutes to complete. Best practice is to poll the status of the request using the `GET /business-intelligence/{request_uuid}` endpoint.

FieldDescription
abn string

The ABN to request business intelligence for

Example: 12345678901

Responses

200

Details of the newly created business intelligence request

application/json
FieldDescription
message string

A message indicating the result of the request. This will be Ok if the request was successful.

Example: Ok

api_reference string (uuid)

A unique identifier for this request. This can be used to track the request for support queries.

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

request_uuid string (uuid)

The identifier for this business intelligence request. This will be used to retrieve the request results.

Example: fe4291ca-d831-4760-96df-c9cb03b3cd95

Standard error responses: 400 401 402 403 429 5XX See common error responses